cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXV

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXV

- All Implemented Interfaces:
    ISegment

      public class RXV
      extends Segment

  RXV - Pharmacy/Treatment Infusion Segment.

  The RXV segment details the pharmacy or treatment application's encoding of specific infusion order parameters.

  Represents an HL7 RXV message segment. This segment has the following fields:

  RXV-1: Set ID - RXV (SI)Optional
  RXV-2: Bolus Type (ID)Required
  RXV-3: Bolus Dose Amount (NM)Optional
  RXV-4: Bolus Dose Amount Units (CWE)Optional
  RXV-5: Bolus Dose Volume (NM)Optional
  RXV-6: Bolus Dose Volume Units(CWE)Optional
  RXV-7: PCA Type (ID)Required
  RXV-8: PCA Dose Amount (NM)Optional
  RXV-9: PCA Dose Amount Units (CWE)Optional
  RXV-10: PCA Dose Amount Volume (NM)Optional
  RXV-11: PCA Dose Amount Volume Units (CWE)Optional
  RXV-12: Max Dose Amount (NM)Optional
  RXV-13: Max Dose Amount Units (CWE)Optional
  RXV-14: Max Dose Amount Volume (NM)Optional
  RXV-15: Max Dose Amount Volume Units (CWE)Optional
  RXV-16: Max Dose per Time (CQ)Required
  RXV-17: Lockout Interval (CQ)Optional
  RXV-18: Syringe Manufacturer (CWE)Optional
  RXV-19: Syringe Model Number (CWE)Optional
  RXV-20: Syringe Size (NM)Conditional
  RXV-21: Syringe Size Units (CWE)Conditional
  RXV-22: Action Code (ID)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXV()` Constructs the ABS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ID` | `getActionCode()` Retrieves the Action Code.
    `NM` | `getBolusDoseAmount()` Retrieves the Bolus Dose Amount.
    `CWE` | `getBolusDoseAmountUnits()` Retrieves the Bolus Dose Amount Units.
    `NM` | `getBolusDoseVolume()` Retrieves the Bolus Dose Volume.
    `CWE` | `getBolusDoseVolumeUnits()` Retrieves the Bolus Dose Volume Units.
    `ID` | `getBolusType()` Retrieves the Bolus Type.
    `CQ` | `getLockoutInterval()` Retrieves the Lockout Interval.
    `NM` | `getMaxDoseAmount()` Retrieves the Max Dose Amount.
    `CWE` | `getMaxDoseAmountUnits()` Retrieves the Max Dose Amount Units.
    `NM` | `getMaxDoseAmountVolume()` Retrieves the Max Dose Amount Volume.
    `CWE` | `getMaxDoseAmountVolumeUnits()` Retrieves the Max Dose Amount Volume Units.
    `CQ` | `getMaxDoseperTime()` Retrieves the Max Dose per Time.
    `NM` | `getPCADoseAmount()` Retrieves the PCA Dose Amount.
    `CWE` | `getPCADoseAmountUnits()` Retrieves the PCA Dose Amount Units.
    `NM` | `getPCADoseAmountVolume()` Retrieves the PCA Dose Amount Volume.
    `CWE` | `getPCADoseAmountVolumeUnits()` Retrieves the PCA Dose Amount Volume Units.
    `ID` | `getPCAType()` Retrieves the PCA Type.
    `SI` | `getSetID_RXV()` Retrieves the Set ID RXV.
    `CWE` | `getSyringeManufacturer()` Retrieves the Syringe Manufacturer.
    `CWE` | `getSyringeModelNumber()` Retrieves the Syringe Model Number.
    `NM` | `getSyringeSize()` Retrieves the Syringe Size.
    `CWE` | `getSyringeSizeUnits()` Retrieves the Syringe Size Units.
    `void` | `setActionCode(ID objActionCode)` Set the Action Code.
    `void` | `setActionCode(java.lang.String strActionCode)` Set the Action Code.
    `void` | `setBolusDoseAmount(NM objBolusDoseAmount)` Set the Bolus Dose Amount.
    `void` | `setBolusDoseAmount(java.lang.String strBolusDoseAmount)` Set the Bolus Dose Amount.
    `void` | `setBolusDoseAmountUnits(CWE objBolusDoseAmountUnits)` Set the Bolus Dose Amount Units.
    `void` | `setBolusDoseAmountUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bolus Dose Amount Units.
    `void` | `setBolusDoseVolume(NM objBolusDoseVolume)` Set the Bolus Dose Volume.
    `void` | `setBolusDoseVolume(java.lang.String strBolusDoseVolume)` Set the Bolus Dose Volume.
    `void` | `setBolusDoseVolumeUnits(CWE objBolusDoseVolumeUnits)` Set the Bolus Dose Volume Units.
    `void` | `setBolusDoseVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bolus Dose Volume Units.
    `void` | `setBolusType(ID objBolusType)` Set the Bolus Type.
    `void` | `setBolusType(java.lang.String strBolusType)` Set the Bolus Type.
    `void` | `setLockoutInterval(CQ objLockoutInterval)` Set the Lockout Interval.
    `void` | `setLockoutInterval(java.lang.String strQuantity, CWE objUnits)` Set the Lockout Interval.
    `void` | `setMaxDoseAmount(NM objMaxDoseAmount)` Set the Max Dose Amount.
    `void` | `setMaxDoseAmount(java.lang.String strMaxDoseAmount)` Set the Max Dose Amount.
    `void` | `setMaxDoseAmountUnits(CWE objMaxDoseAmountUnits)` Set the Max Dose Amount Units.
    `void` | `setMaxDoseAmountUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Max Dose Amount Units.
    `void` | `setMaxDoseAmountVolume(NM objMaxDoseAmountVolume)` Set the Max Dose Amount Volume.
    `void` | `setMaxDoseAmountVolume(java.lang.String strMaxDoseAmountVolume)` Set the Max Dose Amount Volume.
    `void` | `setMaxDoseAmountVolumeUnits(CWE objMaxDoseAmountVolumeUnits)` Set the Max Dose Amount Volume Units.
    `void` | `setMaxDoseAmountVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Max Dose Amount Volume Units.
    `void` | `setMaxDoseperTime(CQ objMaxDoseperTime)` Set the Max Dose per Time.
    `void` | `setMaxDoseperTime(java.lang.String strQuantity, CWE objUnits)` Set the Max Dose per Time.
    `void` | `setPCADoseAmount(NM objPCADoseAmount)` Set the PCA Dose Amount.
    `void` | `setPCADoseAmount(java.lang.String strPCADoseAmount)` Set the PCA Dose Amount.
    `void` | `setPCADoseAmountUnits(CWE objPCADoseAmountUnits)` Set the PCA Dose Amount Units.
    `void` | `setPCADoseAmountUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the PCA Dose Amount Units.
    `void` | `setPCADoseAmountVolume(NM objPCADoseAmountVolume)` Set the PCA Dose Amount Volume.
    `void` | `setPCADoseAmountVolume(java.lang.String strPCADoseAmountVolume)` Set the PCA Dose Amount Volume.
    `void` | `setPCADoseAmountVolumeUnits(CWE objPCADoseAmountVolumeUnits)` Set the PCA Dose Amount Volume Units.
    `void` | `setPCADoseAmountVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the PCA Dose Amount Volume Units.
    `void` | `setPCAType(ID objPCAType)` Set the PCA Type.
    `void` | `setPCAType(java.lang.String strPCAType)` Set the PCA Type.
    `void` | `setSetID_RXV(SI objSetID_RXV)` Set the Set ID RXV.
    `void` | `setSetID_RXV(java.lang.String strSetID_RXV)` ` Set the Set ID RXV.
    `void` | `setSyringeManufacturer(CWE objSyringeManufacturer)` Set the Syringe Manufacturer.
    `void` | `setSyringeManufacturer(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Syringe Manufacturer.
    `void` | `setSyringeModelNumber(CWE objSyringeModelNumber)` Set the Syringe Model Number.
    `void` | `setSyringeModelNumber(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Syringe Model Number.
    `void` | `setSyringeSize(NM objSyringeSize)` Set the Syringe Size.
    `void` | `setSyringeSize(java.lang.String strSyringeSize)` Set the Syringe Size.
    `void` | `setSyringeSizeUnits(CWE objSyringeSizeUnits)` Set the Syringe Size Units.
    `void` | `setSyringeSizeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Syringe Size Units.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXV

          public RXV()

      Constructs the ABS segment.

  - ### Method Detail

    - #### getSetID_RXV

          public SI getSetID_RXV()

      Retrieves the Set ID RXV. this field specify the number that identifies this transaction.
      Returns:
        String - setID_RXV

    - #### setSetID_RXV

          public void setSetID_RXV(java.lang.String strSetID_RXV)

      ` Set the Set ID RXV. this field specify the number that identifies this transaction.
      Parameters:
        `strSetID_RXV` - This field contains the number that identifies RXV transaction.

    - #### setSetID_RXV

          public void setSetID_RXV(SI objSetID_RXV)

      Set the Set ID RXV. this field specify the number that identifies this transaction.
      Parameters:
        `objSetID_RXV` - Object of Set ID RXV.

    - #### getBolusType

          public ID getBolusType()

      Retrieves the Bolus Type. This field identifies the type of bolus being ordered.
      Returns:
        ID - BolusType

    - #### setBolusType

          public void setBolusType(java.lang.String strBolusType)

      Set the Bolus Type. This field identifies the type of bolus being ordered.
      Parameters:
        `strBolusType` - This field identifies the type of bolus being ordered.

    - #### setBolusType

          public void setBolusType(ID objBolusType)

      Set the Bolus Type. This field identifies the type of bolus being ordered.
      Parameters:
        `objBolusType` - This field identifies the type of bolus being ordered.

    - #### getBolusDoseAmount

          public NM getBolusDoseAmount()

      Retrieves the Bolus Dose Amount. This field contains the ordered bolus amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Returns:
        NM - BolusDoseAmount

    - #### setBolusDoseAmount

          public void setBolusDoseAmount(java.lang.String strBolusDoseAmount)

      Set the Bolus Dose Amount. This field contains the ordered bolus amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Parameters:
        `strBolusDoseAmount` - This field contains the String Value of Bolus Dose Amount

    - #### setBolusDoseAmount

          public void setBolusDoseAmount(NM objBolusDoseAmount)

      Set the Bolus Dose Amount. This field contains the ordered bolus amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Parameters:
        `objBolusDoseAmount` - Object of Bolus Dose Amount.

    - #### getBolusDoseAmountUnits

          public CWE getBolusDoseAmountUnits()

      Retrieves the Bolus Dose Amount Units. This field indicates the amount units associated with the bolus dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - BolusDoseAmountUnits

    - #### setBolusDoseAmountUnits

          public void setBolusDoseAmountUnits(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bolus Dose Amount Units. This field indicates the amount units associated with the bolus dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBolusDoseAmountUnits

          public void setBolusDoseAmountUnits(CWE objBolusDoseAmountUnits)

      Set the Bolus Dose Amount Units. This field indicates the amount units associated with the bolus dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objBolusDoseAmountUnits` - Object of Bolus Dose Amount Units.

    - #### getBolusDoseVolume

          public NM getBolusDoseVolume()

      Retrieves the Bolus Dose Volume. This field defines the volume measurement for the ordered bolus amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Returns:
        NM - BolusDoseVolume

    - #### setBolusDoseVolume

          public void setBolusDoseVolume(java.lang.String strBolusDoseVolume)

      Set the Bolus Dose Volume. This field defines the volume measurement for the ordered bolus amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `strBolusDoseVolume` - This field contains the String Value of Bolus Dose Volume

    - #### setBolusDoseVolume

          public void setBolusDoseVolume(NM objBolusDoseVolume)

      Set the Bolus Dose Volume. This field defines the volume measurement for the ordered bolus amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `objBolusDoseVolume` - Object of Bolus Dose Volume.

    - #### getBolusDoseVolumeUnits

          public CWE getBolusDoseVolumeUnits()

      Retrieves the Bolus Dose Volume Units. This field indicates the amount units associated with the bolus dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - BolusDoseAmountUnits

    - #### setBolusDoseVolumeUnits

          public void setBolusDoseVolumeUnits(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bolus Dose Volume Units. This field indicates the amount units associated with the bolus dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBolusDoseVolumeUnits

          public void setBolusDoseVolumeUnits(CWE objBolusDoseVolumeUnits)

      Set the Bolus Dose Volume Units. This field indicates the amount units associated with the bolus dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objBolusDoseVolumeUnits` - Object of Bolus Dose Volume Units.

    - #### getPCAType

          public ID getPCAType()

      Retrieves the PCA Type. This field identifies the type of bolus being ordered.
      Returns:
        ID - PCAType

    - #### setPCAType

          public void setPCAType(java.lang.String strPCAType)

      Set the PCA Type. This field identifies the type of bolus being ordered.
      Parameters:
        `strPCAType` - This field identifies the type of bolus being ordered.

    - #### setPCAType

          public void setPCAType(ID objPCAType)

      Set the PCA Type. This field identifies the type of bolus being ordered.
      Parameters:
        `objPCAType` - This field identifies the type of bolus being ordered.

    - #### getPCADoseAmount

          public NM getPCADoseAmount()

      Retrieves the PCA Dose Amount. This field contains the order's PCA dose amount. Example: if the ordered bolus is 3 mg, this field contains the value of 3.
      Returns:
        NM - PCADoseAmount

    - #### setPCADoseAmount

          public void setPCADoseAmount(java.lang.String strPCADoseAmount)

      Set the PCA Dose Amount. This field contains the order's PCA dose amount. Example: if the ordered bolus is 3 mg, this field contains the value of 3.
      Parameters:
        `strPCADoseAmount` - This field contains the String Value of PCA Dose Amount

    - #### setPCADoseAmount

          public void setPCADoseAmount(NM objPCADoseAmount)

      Set the PCA Dose Amount. This field contains the order's PCA dose amount. Example: if the ordered bolus is 3 mg, this field contains the value of 3.
      Parameters:
        `objPCADoseAmount` - Object of PCA Dose Amount.

    - #### getPCADoseAmountUnits

          public CWE getPCADoseAmountUnits()

      Retrieves the PCA Dose Amount Units. This field indicates the amount units associated with the PCA dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - PCADoseAmountUnits

    - #### setPCADoseAmountUnits

          public void setPCADoseAmountUnits(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the PCA Dose Amount Units. This field indicates the amount units associated with the PCA dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPCADoseAmountUnits

          public void setPCADoseAmountUnits(CWE objPCADoseAmountUnits)

      Set the PCA Dose Amount Units. This field indicates the amount units associated with the PCA dose amount. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objPCADoseAmountUnits` - Object of PCA Dose Amount Units.

    - #### getPCADoseAmountVolume

          public NM getPCADoseAmountVolume()

      Retrieves the PCA Dose Amount Volume. This field defines the volume measurement for the ordered PCA amount volume. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Returns:
        NM - PCADoseAmountVolume

    - #### setPCADoseAmountVolume

          public void setPCADoseAmountVolume(java.lang.String strPCADoseAmountVolume)

      Set the PCA Dose Amount Volume. This field defines the volume measurement for the ordered PCA amount volume. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `strPCADoseAmountVolume` - This field contains the String Value of PCA Dose Amount Volume

    - #### setPCADoseAmountVolume

          public void setPCADoseAmountVolume(NM objPCADoseAmountVolume)

      Set the PCA Dose Amount Volume. This field defines the volume measurement for the ordered PCA amount volume. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `objPCADoseAmountVolume` - Object of PCA Dose Amount Volume.

    - #### getPCADoseAmountVolumeUnits

          public CWE getPCADoseAmountVolumeUnits()

      Retrieves the PCA Dose Amount Volume Units. This field indicates the amount units associated with the PCA dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - PCADoseAmountVolumeUnits

    - #### setPCADoseAmountVolumeUnits

          public void setPCADoseAmountVolumeUnits(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the PCA Dose Amount Volume Units. This field indicates the amount units associated with the PCA dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPCADoseAmountVolumeUnits

          public void setPCADoseAmountVolumeUnits(CWE objPCADoseAmountVolumeUnits)

      Set the PCA Dose Amount Volume Units. This field indicates the amount units associated with the PCA dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objPCADoseAmountVolumeUnits` - Object of PCA Dose Amount Volume Units.

    - #### getMaxDoseAmount

          public NM getMaxDoseAmount()

      Retrieves the Max Dose Amount. This field contains the order's maximum dose amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Returns:
        NM - MaxDoseAmount

    - #### setMaxDoseAmount

          public void setMaxDoseAmount(java.lang.String strMaxDoseAmount)

      Set the Max Dose Amount. This field contains the order's maximum dose amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Parameters:
        `strMaxDoseAmount` - This field contains the String Value of Max Dose Amount

    - #### setMaxDoseAmount

          public void setMaxDoseAmount(NM objMaxDoseAmount)

      Set the Max Dose Amount. This field contains the order's maximum dose amount. For example, if the ordered bolus is 50 mg, this field contains the value of 50.
      Parameters:
        `objMaxDoseAmount` - Object of Max Dose Amount.

    - #### getMaxDoseAmountUnits

          public CWE getMaxDoseAmountUnits()

      Retrieves the Max Dose Amount Units. This field indicates the amount units associated with the maximum dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - MaxDoseAmountUnits

    - #### setMaxDoseAmountUnits

          public void setMaxDoseAmountUnits(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Max Dose Amount Units. This field indicates the amount units associated with the maximum dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMaxDoseAmountUnits

          public void setMaxDoseAmountUnits(CWE objMaxDoseAmountUnits)

      Set the Max Dose Amount Units. This field indicates the amount units associated with the maximum dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objMaxDoseAmountUnits` - Object of Max Dose Amount Units.

    - #### getMaxDoseAmountVolume

          public NM getMaxDoseAmountVolume()

      Retrieves the Max Dose Amount Volume. This field defines the volume measurement for the ordered max dose amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Returns:
        NM - MaxDoseAmountVolume

    - #### setMaxDoseAmountVolume

          public void setMaxDoseAmountVolume(java.lang.String strMaxDoseAmountVolume)

      Set the Max Dose Amount Volume. This field defines the volume measurement for the ordered max dose amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `strMaxDoseAmountVolume` - This field contains the String Value of Max Dose Amount Volume

    - #### setMaxDoseAmountVolume

          public void setMaxDoseAmountVolume(NM objMaxDoseAmountVolume)

      Set the Max Dose Amount Volume. This field defines the volume measurement for the ordered max dose amount. For example, if the ordered bolus is 5 ml, this field contains the value of 5.
      Parameters:
        `objMaxDoseAmountVolume` - Object of Max Dose Amount Volume.

    - #### getMaxDoseAmountVolumeUnits

          public CWE getMaxDoseAmountVolumeUnits()

      Retrieves the Max Dose Amount Volume Units. This field indicates the amount units associated with the maximum dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - MaxDoseAmountVolumeUnits

    - #### setMaxDoseAmountVolumeUnits

          public void setMaxDoseAmountVolumeUnits(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Max Dose Amount Volume Units. This field indicates the amount units associated with the maximum dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMaxDoseAmountVolumeUnits

          public void setMaxDoseAmountVolumeUnits(CWE objMaxDoseAmountVolumeUnits)

      Set the Max Dose Amount Volume Units. This field indicates the amount units associated with the Max dose volume. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objMaxDoseAmountVolumeUnits` - Object of Max Dose Amount Volume Units.

    - #### getMaxDoseperTime

          public CQ getMaxDoseperTime()

      Retrieves the Max Dose per Time. This field contains the time unit expression of the lock out parameter. For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
      Returns:
        CQ - Max Dose per Time

    - #### setMaxDoseperTime

          public void setMaxDoseperTime(java.lang.String strQuantity,
                               CWE objUnits)

      Set the Max Dose per Time. This field contains the time unit expression of the lock out parameter. For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setMaxDoseperTime

          public void setMaxDoseperTime(CQ objMaxDoseperTime)

      Set the Max Dose per Time. This field contains the time unit expression of the lock out parameter. For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
      Parameters:
        `objMaxDoseperTime` - Object of Max Dose per Time.

    - #### getLockoutInterval

          public CQ getLockoutInterval()

      Retrieves the Lockout Interval. This field contains the length of time that must expire between deliveries of PCA doses. For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
      Returns:
        CQ - Lockout Interval

    - #### setLockoutInterval

          public void setLockoutInterval(java.lang.String strQuantity,
                                CWE objUnits)

      Set the Lockout Interval. This field contains the length of time that must expire between deliveries of PCA doses. For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setLockoutInterval

          public void setLockoutInterval(CQ objLockoutInterval)

      Set the Lockout Interval. This field contains the length of time that must expire between deliveries of PCA doses. For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
      Parameters:
        `objLockoutInterval` - Object of Lockout Interval.

    - #### getSyringeManufacturer

          public CWE getSyringeManufacturer()

      Retrieves the Syringe Manufacturer. This field contains the manufacturer of the syringe containing the ordered medication.
      Returns:
        CWE - SyringeManufacturer

    - #### setSyringeManufacturer

          public void setSyringeManufacturer(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Syringe Manufacturer. This field contains the manufacturer of the syringe containing the ordered medication.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSyringeManufacturer

          public void setSyringeManufacturer(CWE objSyringeManufacturer)

      Set the Syringe Manufacturer. This field contains the manufacturer of the syringe containing the ordered medication.
      Parameters:
        `objSyringeManufacturer` - Object of Syringe Manufacturer.

    - #### getSyringeModelNumber

          public CWE getSyringeModelNumber()

      Retrieves the Syringe Model Number. This field contains the model number of the syringe containing the ordered medication.
      Returns:
        CWE - SyringeModelNumber

    - #### setSyringeModelNumber

          public void setSyringeModelNumber(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Syringe Model Number. This field contains the model number of the syringe containing the ordered medication.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSyringeModelNumber

          public void setSyringeModelNumber(CWE objSyringeModelNumber)

      Set the Syringe Model Number. This field contains the model number of the syringe containing the ordered medication.
      Parameters:
        `objSyringeModelNumber` - Object of Syringe Model Number.

    - #### getSyringeSize

          public NM getSyringeSize()

      Retrieves the Syringe Size. This field contains the syringe's numeric total volume size.
      Returns:
        NM - SyringeSize

    - #### setSyringeSize

          public void setSyringeSize(java.lang.String strSyringeSize)

      Set the Syringe Size. This field contains the syringe's numeric total volume size.
      Parameters:
        `strSyringeSize` - Specifise the Syringe Size.

    - #### setSyringeSize

          public void setSyringeSize(NM objSyringeSize)

      Set the Syringe Size. This field contains the syringe's numeric total volume size.
      Parameters:
        `objSyringeSize` - Object of Syringe Size.

    - #### getSyringeSizeUnits

          public CWE getSyringeSizeUnits()

      Retrieves the Syringe Size Units. This field indicates the amount units associated with the syringe size. The preferred coding system is MDC; UCUM are also acceptable.
      Returns:
        CWE - SyringeSizeUnits

    - #### setSyringeSizeUnits

          public void setSyringeSizeUnits(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Syringe Size Units. This field indicates the amount units associated with the syringe size. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSyringeSizeUnits

          public void setSyringeSizeUnits(CWE objSyringeSizeUnits)

      Set the Syringe Size Units. This field indicates the amount units associated with the syringe size. The preferred coding system is MDC; UCUM are also acceptable.
      Parameters:
        `objSyringeSizeUnits` - Object of Syringe Size Units.

    - #### getActionCode

          public ID getActionCode()

      Retrieves the Action Code. The intended handling by the receiver of the infusion order is represented by this segment.
      Returns:
        ID - ActionCode

    - #### setActionCode

          public void setActionCode(java.lang.String strActionCode)

      Set the Action Code. The intended handling by the receiver of the infusion order is represented by this segment.
      Parameters:
        `strActionCode` - This field identifies the type of bolus being ordered.

    - #### setActionCode

          public void setActionCode(ID objActionCode)

      Set the Action Code. The intended handling by the receiver of the infusion order is represented by this segment.
      Parameters:
        `objActionCode` - This field identifies the type of bolus being ordered.